<?php
//---------------------------------------------------------------------------------------------------------
// 03/Octubre/2019 (Marina) 
// Creamos un fichero para mostrar la parte del filtrado de productos
?>
<div class="filtrado_productos">
	<?php
	//Vamos a inicializar un objeto contenedor para los filtrados que sólo se verá en los filtrados y en el resultado búsqueda
	$objetoContenedor = NULL;
	if (Sections::$current_section == 'resultado_busqueda'){
		$objetoContenedor=Sections::getParam('busqueda_actual');
	}else if (Sections::$current_section == 'escaparate'){
		$objetoContenedor=Sections::getParam('escaparate');
	}
	$filtroFabricantes = '';
	$filtroCategorias = '';
	$filtroAutor = '';
	$filtroStock = '';
	$filtroPrecio = '';


	if ($objetoContenedor != NULL){
		if ($objetoContenedor->getTotalSinFiltrado() > 0){
			ob_start();
			//Filtrado por fabricantes:
			filtrado_fabricante($objetoContenedor, 0);
			$filtroFabricantes = trim(ob_get_clean());
			ob_start();
			//Filtrado por categorías:
			filtrado_escaparate_articulo($objetoContenedor, 0);
			$filtroCategorias = trim(ob_get_clean());
			ob_start();
			//Filtrado por autor:
			filtrado_autor($objetoContenedor, 0);
			$filtroAutor = trim(ob_get_clean());
			ob_start();
			//Filtrado por disponibilidad:
			filtrado_stock($objetoContenedor);
			$filtroStock = trim(ob_get_clean());
			ob_start();
			//Filtrado por precio:
			filtrado_pvp($objetoContenedor);
			$filtroPrecio = trim(ob_get_clean());

		}
	}
	$contadorOpciones = 0;

	$opcionesConCategorias = array('home', 'escaparate', 'resultado_busqueda', 'ficha');
	$opcionesConFiltrado = array('escaparate', 'resultado_busqueda');
	$opcioneslistaDistribuidores = array('home', 'escaparate', 'resultado_busqueda', 'ficha');
	$seccion_actual = Sections::$current_section;

	$claseCategorias = '';
	$claseOpciones = '';
	$claseFiltrado = '';
	$claseListaDistribuidores = '';

		//El 0 son categorías:
		if (in_array($seccion_actual, $opcionesConFiltrado)){

			//Vamos a incluir los filtrados. Están dentro del fichero del widget de filtrado pero con una función para hacerlos más sencillos:

			if ( ($objetoContenedor != NULL) && ($objetoContenedor->getTotalSinFiltrado() > 0) && ( ($filtroFabricantes . $filtroCategorias . $filtroAutor . $filtroStock . $filtroPrecio) != '') ){
				?>
				<div class="filtros_web <?=$claseFiltrado;?>">
					<div class="v-megamenu-<?=Theme::getConfigParam('container_style', 'container');?>">
						<?php
			                Theme::include_file('boton_cerrar_filtrados_en_escaparate.php');
			            ?>
						<div class="v-megamenu-title"> 
							<h3><?= traducir("Filtros"); ?></h3>
							<?php
							if( ($objetoContenedor->filtrado_especifico) != '' ){
								?>
								<a href="<?=$objetoContenedor->url;?>" class="quitar_filtros">
									<?=traducir('Quitar');?>
									<span class="glyphicon glyphicon-remove"></span>
								</a>
								<?php
							}
							?>
						</div>
					</div>
					<div class='fFabricante'>
						<?php
						if ($filtroFabricantes != ''){
							?><span class="filtro_subtitulo"><?=traducir('Por Fabricante');?></span><?php
							echo($filtroFabricantes);
						}
						?>
					</div>
					<div class='fCategoria'>
						<?php
						if ($filtroCategorias != ''){
							?><span class="filtro_subtitulo"><?=traducir('Por Categoria');?></span><?php
							echo($filtroCategorias);
						}
						?>
					</div>
					<div class='fAutor'>
						<?php
						if ($filtroAutor != ''){
							?><span class="filtro_subtitulo"><?=traducir('Por Autor');?></span><?php
							echo($filtroAutor);
						}
						?>
					</div>
					<div class='fStock'>
						<?php
						if ($filtroStock != ''){
							?>
							<span class="filtro_subtitulo"><?=traducir('Por Disponibilidad');?></span>
							<?php
							echo($filtroStock);
						}
						?>
					</div>

					<!-- <div class='fPrecio'>
						<?php
						if ($filtroPrecio != ''){
							?>
							<span class="filtro_subtitulo"><?=traducir('Por Precio');?></span>
							<?php
							echo($filtroPrecio);
						}
						?>
					</div> -->

				</div>
				<?php
			}
		}
		?>

</div>

